import React from "react";
import type { TreeItem, TreeItems } from "./types";
interface Props<T extends TreeItem> {
    collapsible?: boolean;
    items: TreeItems;
    setItems: React.Dispatch<React.SetStateAction<any[]>>;
    indentationWidth?: number;
    indicator?: boolean;
    removable?: boolean;
    renderTitle(item: T): React.ReactNode;
    allowDrop(dragItem: any, dropItem?: any | null): boolean;
    allowMove(item: any): boolean;
    allowRemove(item: any): boolean;
    isSelected(item: any): boolean;
    onSelect(item: any): void;
    onHover(item: any): void;
    handleRemove(item: any): void;
    handleDrop(dragItem: T, dropItem: T): void;
}
export declare function SortableTree<T extends TreeItem>({ collapsible, items, indicator, indentationWidth, removable, setItems, handleRemove, ...rest }: Props<T>): React.JSX.Element;
export {};
